Index: /code/branches/doc/doc/api/main.dox
===================================================================
--- /code/branches/doc/doc/api/main.dox	(revision 7370)
+++ /code/branches/doc/doc/api/main.dox	(revision 7371)
@@ -1,4 +1,13 @@
 /**
-@mainpage
-    Orxonox Doxygen Reference
+    @mainpage
+
+    This is the documentation of Orxonox. It contains descriptions of our classes and functions and
+    explains their usage with several examples and background information. Because Orxonox is so big,
+    we can't document all of our code - sorry for that! But we do your best to document the most
+    important parts of it, namely the @ref Core "core" and @ref Util "util" libraries, as well as the
+    central classes in the @ref Orxonox "orxonox" main library and some @ref Modules "modules".
+
+    To understand the connection between different classes in Orxonox, have a look at the
+    <a href="modules.html"><b>Modules section</b></a>. It contains a list of the most important topics
+    and groups files that contribute to the same feature.
 */
Index: /code/branches/doc/src/libraries/util/Clock.h
===================================================================
--- /code/branches/doc/src/libraries/util/Clock.h	(revision 7370)
+++ /code/branches/doc/src/libraries/util/Clock.h	(revision 7371)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file
+    @ingroup Util
+*/
+
 #ifndef _Clock_H__
 #define _Clock_H__
@@ -43,5 +48,5 @@
     @par Precision
         The maximum precision is given by the Ogre::Timer and that is somewhere
-        in the microsecond range for both Windows and UNIX. 
+        in the microsecond range for both Windows and UNIX.
     @par Remarks for Usage on Windows
         For proper functionality this class MUST be used in the same thread! <br>
Index: /code/branches/doc/src/libraries/util/Convert.h
===================================================================
--- /code/branches/doc/src/libraries/util/Convert.h	(revision 7370)
+++ /code/branches/doc/src/libraries/util/Convert.h	(revision 7371)
@@ -28,6 +28,12 @@
  */
 
+/**
+    @defgroup Convert Conversion functions
+    @ingroup Util
+*/
+
 /** Functions that convert values between different types.
 @file
+@ingroup Convert
 @par Usage
     There are three ways to use the conversions depending on what you need. <br>
Index: /code/branches/doc/src/libraries/util/Exception.h
===================================================================
--- /code/branches/doc/src/libraries/util/Exception.h	(revision 7370)
+++ /code/branches/doc/src/libraries/util/Exception.h	(revision 7371)
@@ -28,5 +28,11 @@
 
 /**
+    @defgroup ExceptionAssertion Exceptions and assertions
+    @ingroup Util
+*/
+
+/**
 @file
+@ingroup ExceptionAssertion
 @brief
     Declaration of facilities to handle exceptions.
Index: /code/branches/doc/src/libraries/util/ExprParser.h
===================================================================
--- /code/branches/doc/src/libraries/util/ExprParser.h	(revision 7370)
+++ /code/branches/doc/src/libraries/util/ExprParser.h	(revision 7371)
@@ -29,4 +29,5 @@
 /**
 @file
+@ingroup Util
 @brief Declaration of FloatParser
 */
Index: /code/branches/doc/src/libraries/util/MathConvert.h
===================================================================
--- /code/branches/doc/src/libraries/util/MathConvert.h	(revision 7370)
+++ /code/branches/doc/src/libraries/util/MathConvert.h	(revision 7371)
@@ -29,4 +29,5 @@
 /**
 @file
+@ingroup Convert
 @brief
     Conversion functions for Math types like Ogre::Vector3 (definitions are in Math.cc)
Index: /code/branches/doc/src/libraries/util/OrxAssert.h
===================================================================
--- /code/branches/doc/src/libraries/util/OrxAssert.h	(revision 7370)
+++ /code/branches/doc/src/libraries/util/OrxAssert.h	(revision 7371)
@@ -29,4 +29,5 @@
 /**
 @file
+@ingroup ExceptionAssertion
 @brief
     Declaration of custom assertion facilities
Index: /code/branches/doc/src/libraries/util/OrxEnum.h
===================================================================
--- /code/branches/doc/src/libraries/util/OrxEnum.h	(revision 7370)
+++ /code/branches/doc/src/libraries/util/OrxEnum.h	(revision 7371)
@@ -26,4 +26,9 @@
  *
  */
+
+/**
+    @file
+    @ingroup Util
+*/
 
 #ifndef _OrxEnum_H__
Index: /code/branches/doc/src/libraries/util/TriBool.h
===================================================================
--- /code/branches/doc/src/libraries/util/TriBool.h	(revision 7370)
+++ /code/branches/doc/src/libraries/util/TriBool.h	(revision 7371)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file
+    @ingroup Util
+*/
+
 #ifndef _TriBool_H__
 #define _TriBool_H__
